---
extracts:
  # Checkbox.
  - name: CA10__publiclyAccessible__c
    value: 
      FIELD:
        path: CA10__publiclyAccessible__c
  # Checkbox.
  - name: CA10__autoMinorVersionUpgrade__c
    value: 
      FIELD:
        path: CA10__autoMinorVersionUpgrade__c
  # Text.
  - name: CA10__deploymentMode__c
    value: 
      FIELD:
        path: CA10__deploymentMode__c
# Values: Enabled | Disabled. Nullable.
  - name: "CA10__logsAudit__c"
    value: 
      FIELD:
        path: "CA10__logsAudit__c"
# Values: ACTIVEMQ | RABBITMQ. Not nullable. 
  - name: "CA10__engineType__c"
    value: 
      FIELD:
        path: "CA10__engineType__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__engineType__c"
            currentStateMessage: "Broker Engine type cannot be empty. Possible permission issue with mq:DescribeBroker."
